using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Application.Service
{
    public interface IHouseCompanyService
    {
        Task<dynamic> Page([FromBody] HouseCompanyPageInput input);
        Task Add([FromBody] HouseCompanyAddInput input);
        Task Edit([FromBody] HouseCompanyEditInput input);
        Task Delete([FromBody] HouseCompanyInput input);
        Task<HouseCompanyDetailOutput> Detail([FromQuery] HouseCompanyInput input);
        Task<dynamic> List([FromQuery] HouseCompanyListInput input);
    }
}
